## latex-make 2.4.0

=== debian/changelog ===
latex-make (2.4.0-1) unstable; urgency=medium

  * new upstream release
    + fix subfig support
    + fix inkscape support (already present in 2.3.0-4 package)
  * back to debhelper-compat 13 (#959731 fixed in 13.1)

 -- Vincent Danjean <vdanjean@debian.org>  Mon, 08 Jun 2020 11:51:31 +0200

latex-make (2.3.0-4) unstable; urgency=medium

  [ Vincent Danjean ]
  * Do not switch to debhelper-compat 13 until #959731 is fixed
  * Fix inkscape options (Closes: #959635)
  * update packaging (Standard-Version, DH version)
  * merge Andreas Tille conrtibutions as I forgot to push last version to salsa

  [ Andreas Tille ]
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 12 (routine-update)
  * Respect DEB_BUILD_OPTIONS in override_dh_auto_test target (routine-
    update)
  * Remove trailing whitespace in debian/rules (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Trim trailing whitespace.
  * Use secure URI in Homepage field.
  * Add missing build dependency on dh addon.
  * Switch to Python3
  * Drop useless Build-Depends from quilt

 -- Vincent Danjean <vdanjean@debian.org>  Mon, 11 May 2020 14:17:59 +0200
