## latex-make 2.4.1

=== debian/changelog ===
latex-make (2.4.1-1) unstable; urgency=medium

  * new upstream release
    + fix encoding error in latex-filter
  * switch to new home website (gitlab.inria.fr)
  * remove template from watch file
  * document debian specific patches

 -- Vincent Danjean <vdanjean@debian.org>  Tue, 04 Aug 2020 10:29:52 +0200
