=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/debian/latex-make
 Vcs-Git: https://salsa.debian.org/debian/latex-make.git
-Homepage: https://gforge.inria.fr/projects/latex-utils/
+Homepage: https://gitlab.inria.fr/latex-utils/latex-make
 Rules-Requires-Root: no
 
 Package: latex-make
