## latex-make 2.4.2

=== debian/changelog ===
latex-make (2.4.2-1) unstable; urgency=medium

  * new upstream release
    - Fix FTBFS (Closes: #976556)

 -- Vincent Danjean <vdanjean@debian.org>  Sun, 03 Jan 2021 19:47:04 +0100
