=== debian/changelog ===
latex-make (2.4.3-1) unstable; urgency=medium

  * new upstream release
  * refresh debian patches
  * Standards-Version: 4.6.0 (no changes needed)

 -- Vincent Danjean <vdanjean@debian.org>  Tue, 26 Oct 2021 16:10:52 +0200
