=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                      inkscape (>= 1.0~rc1),
                      ghostscript,
                      texlive-fonts-recommended
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/debian/latex-make
 Vcs-Git: https://salsa.debian.org/debian/latex-make.git
 Homepage: https://gitlab.inria.fr/latex-utils/latex-make
