=== debian/watch ===
# adapted from https://wiki.debian.org/debian/watch#Gitlab
version=4
https://gitlab.inria.fr/latex-utils/latex-make/tags?sort=updated_desc archive/v@ANY_VERSION@/latex-make-v\d\S*@ARCHIVE_EXT@
